import requests

url = 'http://climate-data.it.csiro.au/cgi-bin/zoo_loader_rc1.cgi'
headers = {'content-type':'text/xml'} 
xml_output1 = """<wps:Execute service="WPS" version="1.0.0" xmlns:wps="http://www.opengis.net/wps/1.0.0" xmlns:ows="http://www.opengis.net/ows/1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.opengis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsExecute_request.xsd">
  <ows:Identifier>MultipleOutputs</ows:Identifier>
    <wps:DataInputs>
    </wps:DataInputs>
    <wps:ResponseForm>
      <wps:RawDataOutput>
        <ows:Identifier>output1</ows:Identifier>
      </wps:RawDataOutput>
    </wps:ResponseForm>
</wps:Execute>"""

xml_output2 = """<wps:Execute service="WPS" version="1.0.0" xmlns:wps="http://www.opengis.net/wps/1.0.0" xmlns:ows="http://www.opengis.net/ows/1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.opengis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsExecute_request.xsd">
  <ows:Identifier>MultipleOutputs</ows:Identifier>
    <wps:DataInputs>
    </wps:DataInputs>
    <wps:ResponseForm>
      <wps:RawDataOutput>
        <ows:Identifier>output2</ows:Identifier>
      </wps:RawDataOutput>
    </wps:ResponseForm>
</wps:Execute>"""

r = requests.post(url,data=xml_output1,headers=headers)
assert r.text == 'This is output1', "Expecting 'This is output1' got '%s'" % r.text
r = requests.post(url,data=xml_output2,headers=headers)
assert r.text == 'This is output2', "Expecting 'This is output2' got '%s'" % r.text
